Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextOverlineStyleType

    java.lang.Object
      java.lang.Enum<OdfTextOverlineStyleType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextOverlineStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextOverlineStyleType>

    public enum OdfTextOverlineStyleType

extends Enum<OdfTextOverlineStyleType>

DOM implementation of OpenDocument attribute style:text-overline-style.

Enum Constant Summary
`DASH`
`DOT_DASH`
`DOT_DOT_DASH`
`DOTTED`
`LONG_DASH`
`NONE`
`SOLID`
`WAVE`

Method Summary
`static OdfTextOverlineStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextOverlineStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextOverlineStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextOverlineStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfTextOverlineStyleType NONE

### WAVE

    public static final OdfTextOverlineStyleType WAVE

### DOTTED

    public static final OdfTextOverlineStyleType DOTTED

### DOT_DOT_DASH

    public static final OdfTextOverlineStyleType DOT_DOT_DASH

### DASH

    public static final OdfTextOverlineStyleType DASH

### SOLID

    public static final OdfTextOverlineStyleType SOLID

### DOT_DASH

    public static final OdfTextOverlineStyleType DOT_DASH

### LONG_DASH

    public static final OdfTextOverlineStyleType LONG_DASH

Method Detail

### values

    public static OdfTextOverlineStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextOverlineStyleType c : OdfTextOverlineStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextOverlineStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextOverlineStyleType>`
  Returns:
    return the name of OdfTextOverlineStyleType

### toString

    public static String toString(OdfTextOverlineStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextOverlineStyleType, see style:text-overline-style
  Returns:
    return the name of OdfTextOverlineStyleType

### enumValueOf

    public static OdfTextOverlineStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextOverlineStyleType
  Returns:
    return the constant of OdfTextOverlineStyleType, see style:text-overline-style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.